<div class="<?php echo esc_attr($sweWrap, 'emarket'); ?>">
	<input type="checkbox" id="woo-cart-<?php echo esc_attr($settings['id_int'], 'emarket'); ?>" class="input-toggle">
	<label for="woo-cart-<?php echo esc_attr($settings['id_int'], 'emarket'); ?>" class="woo-cart-open">
		<div class="swe-wrap-cart-head <?php echo esc_attr($settings['position_icon'], 'emarket'); ?>">
			<div class="swe-cart-icon elementor-icon <?php echo $settings['show_image_icon'] == 'yes' ? 'cart-image-icon' : ''; ?>">
				<?php if ($settings['show_image_icon'] != 'yes') {
					\Elementor\Icons_Manager::render_icon( $settings['icon'], [ 'aria-hidden' => 'true' ] );
				} else {
						$imageIcon = $settings['image_icon']['url'] ? $settings['image_icon']['url'] : SWWE_PLUGIN_URI . 'assets/img/no-image.png';
						echo '<div class="image-icon"><span>';
						printf('<img class="img-logo" src="%s" alt="Cart icon" />', $imageIcon);
						$settings['image_icon_hover']['url'] && printf('<img class="img-logo-hover" src="%s" alt="Cart icon" />', $settings['image_icon_hover']['url']);
						echo '</span></div>';
				}
				if ($settings['show_count'] == 'yes') {
					printf('<span class="swe-cart-count">%s</span>', $cart_count);
					if( $settings['show_count_number'] != 'yes' ){
						printf('<span class="item-text">%s</h4>', __('item(s)', 'emarket'));
					}
				} ?>
			</div>
			<div class="swe-cart-subtotal">
				<?php 
				if ($settings['show_text']) {
					if ($settings['text_cart'] != '') {
						printf('<span class="text">%s</span>', $settings['text_cart']);
					}
				}
				if ($settings['show_subtotal']) {
					printf('<span class="swe-cart-total">%s</span>', $cart_total);
				} 
				?>
			</div>
		</div>
	</label>
	<label for="woo-cart-<?php echo esc_attr($settings['id_int'], 'emarket'); ?>" class="woo-cart-mask woo-cart-close"></label>
	<div class="swe-wrap-cart-content">
		<div class="swe-wrap-cart-top">
			<?php printf('<h4 class="cart-title">%s (<span class="swe-cart-count">%s</span>)</h4>', __('Shopping Cart', 'emarket'), $cart_count); ?>
			<div class="swe-close"><?php echo __('Close', 'emarket'); ?><i class="fas fa-times"></i></div>
		</div>
		<div class="swe-wrap-cart-bottom">
			<?php woocommerce_mini_cart(); ?>
		</div>
	</div>
</div>
